experiments.droneControl

## Class AgentVariation

- java.lang.Object
- - experiments.droneControl.AgentVariation

    public class AgentVariation
    extends java.lang.Object

The Class AgentVariation.

### Constructor Summary

Constructors
Constructor and Description
`AgentVariation(java.lang.String agentName)` Instantiates a new agent variation.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `adapt(double currentPerception, double wantedPerception, double goalDirection)` Adapt.
`double` `getCriticity()` Gets the criticity.
`java.lang.String` `getName()` Gets the name.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getState()` Gets the state.
`void` `update(double perceptVariation)` Update.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AgentVariation

    public AgentVariation(java.lang.String agentName)

Instantiates a new agent variation.

Parameters:
  `agentName` - the agent name

### Method Detail

#### update

    public void update(double perceptVariation)

Update.

Parameters:
  `perceptVariation` - the percept variation

#### adapt

    public void adapt(double currentPerception,
                      double wantedPerception,
                      double goalDirection)

Adapt.

Parameters:
  `currentPerception` - the current perception
  `wantedPerception` - the wanted perception
  `goalDirection` - the goal direction

#### getState

    public java.util.HashMap<java.lang.String,java.lang.Double> getState()

Gets the state.

Returns:
  the state

#### getCriticity

    public double getCriticity()

Gets the criticity.

Returns:
  the criticity

#### getName

    public java.lang.String getName()

Gets the name.

Returns:
  the name